import {
	WeaTools
} from 'ecCom'

export const getAuth = (params) => {
	return WeaTools.callApi('/api/hrm/schedule/defaultScheduleSetting/getHasRight', 'POST', params);
}

export const getButtonsMenu = (params) => {
	return WeaTools.callApi('/api/hrm/schedule/defaultScheduleSetting/getRightMenu', 'POST', params);
}

export const getTableInfo = (params) => {
	return WeaTools.callApi('/api/hrm/schedule/defaultScheduleSetting/getSettingListSearchList', 'POST', params);
}

export const getSearchInfo = (params) => {
	return WeaTools.callApi('/api/hrm/schedule/defaultScheduleSetting/getSettingListSearchCondition', 'GET', params);
}

export const getSettingListSetForm = (params) => {
	return WeaTools.callApi('/api/hrm/schedule/defaultScheduleSetting/getSettingListSetForm?is_multilang_set=true', 'POST', params);
}

export const getOnlineKqSystemSetForm = (params) => {
	return WeaTools.callApi('/api/hrm/schedule/defaultScheduleSetting/getOnlineKqSystemSetForm?is_multilang_set=true', 'POST', params);
}

export const deleteTableRows = (params) => {
	return WeaTools.callApi('/api/hrm/schedule/defaultScheduleSetting/delSettingListSetForm', 'POST', params);
}

export const saveSettingListSetForm = (params) => {
	return WeaTools.callApi('/api/hrm/schedule/defaultScheduleSetting/saveSettingListSetForm', 'POST', params);
}

export const saveOnlineKqSystemSetForm = (params) => {
	return WeaTools.callApi('/api/hrm/schedule/defaultScheduleSetting/saveOnlineKqSystemSetForm', 'POST', params);
}